org.apache.lucene.luke.models.overview

## Class OverviewFactory

- java.lang.Object
- - org.apache.lucene.luke.models.overview.OverviewFactory

-     public class OverviewFactory
      extends Object

  Factory of `Overview`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OverviewFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Overview` | `newInstance(IndexReader reader, String indexPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OverviewFactory

          public OverviewFactory()

  - ### Method Detail

    - #### newInstance

          public Overview newInstance(IndexReader reader,
                                      String indexPath)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.